Bug 77577 - vmstat 1 displays insanely high idle time
vmstat 1 displays insanely high idle time
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: procps (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-09 12:02 EST by Chris Eddy
Modified: 2007-04-18 12:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-11 08:19:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Eddy 2002-11-09 12:02:15 EST
Description of Problem:
vmstat displays insanely high values (eg: 21262213, 21474835) when time interval
is set to 1 second.

Version-Release number of selected component (if applicable):
vmstat -V returns: procps version 2.0.7


How Reproducible:
For me, extremely.  On a continuous run at 1 second intervals, the problem
occurs on about 2 - 4 lines between printing of the column headers.


Steps to Reproduce:
1. vmstat 1
2. 
3. 

Actual Results:
   procs                      memory    swap          io     system         cpu
 r  b  w   swpd   free   buff  cache  si  so    bi    bo   in    cs  us  sy  id
 2  0  0 130936  12752  49488 162940   0   3     2     5    9     1   9   4   8
 2  0  0 130936  12752  49488 162940   0   0     0     4  563   127  95   4   0
 4  0  0 130936  12752  49488 162940   0   0     0     0  518   106  98   2   0
 2  0  0 130936  12752  49512 162928   0   0     0   116  570   385  97   3   0
 2  0  0 130936  12752  49512 162928   0   0     0     0  517    97  97   3   0
 2  0  0 130936  12736  49512 162928   0   0     0    29  567   173  96   5 21262213
 3  0  0 130936  12736  49512 162928   0   0     0     0  517    87  95   3   1
 2  0  0 130936  12736  49512 162928   0   0     0     8  627   411  95   5   0
 7  0  0 130936  12736  49528 162920   0   0     0   207  784  2575  94   6   0
 2  0  0 130936  12736  49528 162920   0   0     0     4  838  4345  92   8   0
 4  0  0 130936  12752  49528 162920   0   0     0     4  819  2028  95   5   0
 3  0  0 130936  12752  49528 162920   0   0     0     4  810  3104  92   7   0
 6  0  0 130936  12752  49528 162920   0   0     0     4  833  1894  94   6   0
 2  0  0 130936  12752  49540 162912   0   0     0    91  836  1406  94   5   0
 4  0  0 130936  12752  49540 162912   0   0     0     8  739   748  95   5   0
 2  0  0 130936  12744  49540 162912   0   0     0     0  582  2152  94   6   0
 2  0  0 130936  12744  49548 162912   0   0     0    32  572   248  95   5   0
 2  0  0 130936  12744  49548 162912   0   0     0     0  523   187  96   4   0
 2  0  0 130936  12744  49568 162900   0   0     4   441  622   323  96   4   0
 2  0  0 130936  12744  49568 162900   0   0     0     0  557  1720  94   6   0
 3  0  0 130936  12744  49568 162900   0   0     0     4  797   651  95   5   0
   procs                      memory    swap          io     system         cpu
 r  b  w   swpd   free   buff  cache  si  so    bi    bo   in    cs  us  sy  id
 5  0  0 130936  12744  49568 162900   0   0     0     0  681  1074  98   2   0
 3  0  0 130936  12744  49568 162900   0   0     0     4  880  1868  93   7   0
 3  0  0 130936  12744  49596 162884   0   0     0    92  840  1338  94   6   0
 2  0  0 130936  12744  49596 162884   0   0     0     9  842  1087  94   6   0
 3  0  0 130936  12736  49596 162884   0   0     0     0  810  3764  94   6   0
 2  0  0 130936  12736  49596 162884   0   0     0     8 1203  2938  91   8   0
 7  0  0 130936  12736  49596 162884   0   0     0     0 1180  1624  94   6   0
 2  0  0 130936  12736  49620 162876   0   0     0   199 1178  3713  92   8   0
 2  0  0 130936  12736  49620 162876   0   0     0     0 1307  1617  92   7   1
 4  0  0 130904  12708  49620 162876   0   0     0     4 1276  5307  85  15   0
 6  0  0 130904  12716  49620 162876   0   0     0     0 1233  3931  90  10   0
 2  0  0 130904  12756  49620 162876   0   0     0    17 1292  6554  88  12   0
 2  0  0 130904  12756  49648 162864   0   0     0   268 1097  1957  92   7   0
 2  0  0 130904  12756  49648 162864   0   0     0   183 1100   643  93   7   0
 2  0  0 130904  12748  49648 162864   0   0     0     0  920   358  95   5   0
 2  0  0 130904  12748  49648 162864   0   0     0     8  959   323  93   7   0
 3  0  0 130904  12748  49648 162864   0   0     0     0  920   253  96   4   0
 3  0  0 130904  12748  49664 162856   0   0     0   111  982  1105  94   6   0
 2  0  0 130904  12748  49664 162856   0   0     0     0  906   538  95   7 21474835
 3  0  0 130904  12748  49664 162904   0   0    48     4  942   720  92   8   0
 2  0  0 130904  12748  49664 162904   0   0     0     0  885   263  93   6   1
   procs                      memory    swap          io     system         cpu
 r  b  w   swpd   free   buff  cache  si  so    bi    bo   in    cs  us  sy  id
 2  0  0 130904  12748  49664 162904   0   0     0     4  969   457  93   6   1
 2  0  0 130904  12748  49668 162900   0   0     0    91  929   501  95   7 21474834
 2  0  0 130904  12748  49668 162900   0   0     0     8  971   393  94   6   0
 2  0  0 130904  12748  49668 162900   0   0     0     0  910   352  93   7   0
 2  0  0 130904  12748  49668 162904   0   0     0    12  977   401  93   7   0
 2  0  0 130904  12748  49676 162900   0   0     0   107  931   346  93   7   0
 4  0  0 130904  12740  49676 162900   0   0     0    24  995   464  94   5   0
 2  0  0 130904  12740  49676 162900   0   0     0     0 1090   820  92   7   0
 2  0  0 130904  12740  49676 162900   0   0     0     4 1122  2321  94   8 21474835
 2  0  0 130904  12740  49676 162900   0   0     0     0  924   364  94   6   0
 2  0  0 130904  12748  49680 162896   0   0     0    91  982   493  95   5   0
 2  0  0 130904  12740  49680 162896   0   0     0     0  927   452  93   5   1
 2  0  0 130904  12740  49680 162896   0   0     0     4 1035   766  94   8 21474835
 3  0  0 130904  12740  49680 162896   0   0     0     0  922   265  94   6   0
 3  0  0 130904  12740  49680 162896   0   0     0     8  978   595  95   5   0
 3  0  0 130904  12740  49684 162892   0   0     0    99  926   768  92   8   0
 2  0  0 130904  12740  49684 162892   0   0     0    16  971   585  93   8 21262213
 2  0  0 130904  12740  49684 162892   0   0     0     0  922   459  94   6   0
 3  0  0 130904  12740  49684 162892   0   0     0     4  968   789  93   7   0
 2  0  0 130904  12740  49684 162892   0   0     0     0  917   916  91   8   1
 3  0  0 130904  12740  49700 162888   0   0     0    87  931  1442  91   9   0
   procs                      memory    swap          io     system         cpu
 r  b  w   swpd   free   buff  cache  si  so    bi    bo   in    cs  us  sy  id
 2  0  0 130904  12740  49700 162888   0   0     0     0  899   369  93   7   0
 2  0  0 130904  12740  49700 162888   0   0     0     4  968   275  93   7   0
 2  0  0 130904  12740  49700 162888   0   0     0     0  917   255  94   6   0
 2  0  0 130904  12740  49700 162888   0   0     0     8  960   337  93   7   0
 2  0  0 130904  12740  49716 162880   0   0     0    95  930   258  93   6   0
 2  0  0 130904  12740  49716 162880   0   0     0    16  896   288  91   8   0
 3  0  0 130904  11512  49716 162880   0   0     0     0  925   267  92   9 21262213
 2  0  0 130904  12004  49716 162880   0   0     0     4  562   309  94   6   0
 2  0  0 130904  12004  45164 167432   0   0     0     0  517   119  94   6   0
 2  0  0 130904  12012  45196 167412   0   0     5   115  573   332  94   6   0
 3  0  0 130904  12012  45196 167412   0   0     0     0  523   215  94   6   0
 3  0  0 130904  12012  45204 167404   0   0     0    48  573   155  95   5   0
 2  0  0 130904  12004  45204 167404   0   0     0     0  518   140  94   6   0
 2  0  0 130904  12004  45204 167404   0   0     0    12  564   143  82  17   0
 2  0  0 130904  12004  45228 167388   0   0     1   250  532   151  75  25   0
 2  0  0 130904  12004  45228 167388   0   0     0   175  591   166  71  29   0
 2  0  0 130904  12004  45228 167388   0   0     0     0  517   333  71  29   0
 2  0  0 130904  12020  45228 167388   0   0     0     4  562   168  71  29   0
 2  0  0 130904  12020  45228 167388   0   0     0     0  517   115  79  21   0
 3  0  0 130904  12020  45244 167376   0   0     0   103  570   347  92   8   0
 2  0  0 130904  12020  45244 167376   0   0     0     0  517   210  96   4   0
   procs                      memory    swap          io     system         cpu
 r  b  w   swpd   free   buff  cache  si  so    bi    bo   in    cs  us  sy  id
 2  0  0 130904  12020  45244 167376   0   0     0    20  565   156  96   4   0
 2  0  0 130904  12004  45244 167376   0   0     0     0  517   172  96   4   0
 2  0  0 130904  12004  45244 167376   0   0     0     8  563   152  95   5   0
 2  0  0 130904  12004  45260 167364   0   0     0    99  526   143  96   3   1
 2  0  0 130904  12004  45260 167364   0   0     0    16  565   164  95   5   0
 2  0  0 130904  12004  45260 167364   0   0     0     0  517   112  96   3   1
 2  0  0 130904  12020  45260 167364   0   0     0     4  562   161  96   4   0
 3  0  0 130904  12020  45260 167364   0   0     0     0  517   129  97   3   0
 4  0  0 130904  12020  45280 167352   0   0     0   103  576   356  96   4   0
 3  0  0 130904  12020  45280 167352   0   0     0     0  517   183  99   2 21262213
 3  0  0 130904  12004  45280 167352   0   0     0    16  564   171  96   3   1
 3  0  0 130904  12004  45280 167352   0   0     0     0  517   112  97   4 21262213
 2  0  0 130904  12004  45280 167352   0   0     0     8  563   154  96   3   1
 2  0  0 130904  12004  45296 167336   0   0     0    99  527   143  96   4   0
 2  0  0 130904  12004  45296 167336   0   0     0    20  566   172  95   5   0
 2  0  0 130904  12020  45296 167336   0   0     0     0  652  2143  94   6   0
 3  0  0 130904  12020  45296 167336   0   0     0     8  724  1777  95   5   0
 3  0  0 130904  12020  45296 167336   0   0     0     0  822  2911  93   7   0
 3  0  0 130904  12020  45316 167320   0   0     0   103  861  1478  94   6   0
 5  0  0 130904  12020  45316 167320   0   0     0     0  896  1649  95   5   0
 2  0  0 130904  12004  45316 167320   0   0     0    20  716  2796  93   7   0
   procs                      memory    swap          io     system         cpu
 r  b  w   swpd   free   buff  cache  si  so    bi    bo   in    cs  us  sy  id
 3  0  0 130904  12004  45316 167320   0   0     0     0  525   222  96   4   0
 3  0  0 130904  12004  45316 167320   0   0     0     8  675  1961  93   6   0
 2  0  0 130904  12004  45340 167304   0   0     0   108  797   806  95   5   0
 3  0  0 130904  12012  45340 167304   0   0     0    64  903   984  93   7   0
 4  0  0 130904  12012  45340 167304   0   0     0     0 1138  2573  93   7   0
 3  0  0 130904  12012  45340 167304   0   0     0     4 1297  4709  91   9   0
 5  0  0 130904  12012  45340 167304   0   0     0    44 1118  1163  93   6   1
 2  0  0 130904  12012  45360 167292   0   0     0   112 1096  1035  95   6 19884107
 4  0  0 130904  12020  45360 167292   0   0     0    29 1015   392  95   5   0



Expected Results:
Because I have two instances of seti@home running in the background, something
with zero idle times is normal.


Additional Information:
uname -a:
Linux rh73a 2.4.18-17.7.xsmp #1 SMP Tue Oct 8 11:00:33 EDT 2002 i686 unknown


procinfo:
Linux 2.4.18-17.7.xsmp (bhcompile@porky) (gcc 2.96 20000731 ) #1 2CPU [rh73a]

Memory:      Total        Used        Free      Shared     Buffers      Cached
Mem:        513592      500076       13516           0       44664      164480
Swap:       522072      130900      391172

Bootup: Fri Oct 18 16:26:03 2002    Load average: 2.25 2.41 2.38 3/224 25167

user  :   2d  9:16:37.96   5.5%  page in :  8376534  disk 1:      420r       0w
nice  :  31d  6:27:19.11  71.8%  page out: 60606621  disk 2:   952951r 5290844w
system:   1d 13:47:52.86   3.6%  swap in :   165973  disk 3:   414810r 1536735w
idle  :   8d  7:40:58.01  19.1%  swap out:  2383658
uptime:  21d 18:36:23.96         context :3739949468

irq  0: 963268593 timer                 irq  7:         2                      
irq  1:    442325 keyboard              irq  8:         1 rtc                  
irq  2:         0 cascade [4]           irq 12:  33144104 PS/2 Mouse           
irq  3:         4                      irq 14:  36022181 ide0                 
irq  4:         4                       irq 17:   7993248 aic7xxx              
irq  6:         6                       irq 18:  66552073 serial
Comment 1 Alexander Larsson 2002-11-11 06:09:33 EST
This is fixed upstream, and will be in the next procps release after 2.0.10.

Note You need to log in before you can comment on or make changes to this bug.